TSHTTPTXNERRORBODYSET(3ts)

NAME
TSHttpTxnErrorBodySet - sets an error type body to a transaction

SYNOPSIS

            #include <ts/ts.h>

    void TSHttpTxnErrorBodySet(TSHttpTxn txnp, char *buf, size_t buflength, char *mimetype)

DESCRIPTION

Note that both string arguments must be allocated with TSmalloc() or TSstrdup(). The mimetype is optional, and if not provided it defaults to text/html. Sending an empty string would prevent setting a content type header (but that is not advised).

COPYRIGHT
2025, dev@trafficserver.apache.org